<?php
require_once "connect.php";

// dados da seção
$id_usuario=0;
$id = 0;

if(isset($_SESSION['id_usuario'])){
  $id_usuario = $_SESSION['id_usuario'];
}
// if($id_usuario==""){$id_usuario=0;}

//Recebendo parametros do Form
if(isset($_POST['id'])){
  $id         = $_POST['id'];
}
$ds_operadora	= trim($_POST['ds_operadora']);
$st_ativo	= 1;
$ok = true;

// preprarando sql conforme instrição editar, excluir e adicionar
if(isset($_POST['editar'])) {
  $sql = "update erpc_operadoras_telefonia set ds_operadora = '$ds_operadora', st_ativo  =  $st_ativo";
  $sql .= " where id = '$id'";
}else
	if(isset($_POST['excluir'])) {
	$sql = "update erpc_operadoras_telefonia set st_ativo = 0";
	$sql .= " where id = '$id'";
}else
	if(isset($_POST['adicionar'])) {
	$sql = "insert into erpc_operadoras_telefonia ( ds_operadora, st_ativo) values ( '$ds_operadora', $st_ativo)";
}

// Se montou o SQL, executa
if($sql!=""){
  $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
  $ok   = mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
}

/*
echo $ok;
echo $sql;
exit;*/

//Voltando para lista
if(isset($_POST['helper'])){
  if ($ok) {
    $msg['text'] = 'Item inserido com sucesso';
    $msg['type'] = 'success';
  } else {
    $msg['text'] = ".........=======> " . $errorMsg;
    $msg['type'] = 'error';
  }
  header('Content-type: application/json');
  echo json_encode($msg);
}else{
  header("Location:erpc_operadoras_telefonia_list.php");
}
?>
